package com.jpsoft.shinestar.modules.base.dao;

import com.jpsoft.shinestar.modules.base.entity.CameraInfo;
import com.jpsoft.shinestar.modules.common.dto.Sort;
import org.springframework.stereotype.Repository;

import java.util.List;
import java.util.Map;

@Repository
public interface CameraInfoDAO {
	int insert(CameraInfo entity);
	int update(CameraInfo entity);
	int exist(String id);
	CameraInfo get(String id);
	int delete(String id);
	List<CameraInfo> list();
	List<CameraInfo> search(Map<String, Object> searchParams, List<Sort> sortList);

    List<CameraInfo> findByPersonId(Long classId);
	List<CameraInfo> findBySchoolId(String classId);

}